Commit 99998ce3 authored by Daniel Scheffler's avatar Daniel Scheffler Committed by Daniel Scheffler
Browse files

Updated minimal version of py_tools_ds. Updated version info.

parent 0e75572d
Pipeline #1078 passed with stages
in 1 minute and 5 seconds
......@@ -4,7 +4,6 @@ import os
if 'MPLBACKEND' not in os.environ:
os.environ['MPLBACKEND'] = 'Agg'
from .baseclasses import GeoArray
from .masks import BadDataMask
from .masks import NoDataMask
......@@ -13,8 +12,8 @@ from .masks import CloudMask
__author__ = """Daniel Scheffler"""
__email__ = 'danschef@gfz-potsdam.de'
__version__ = '0.5.11'
__versionalias__ = 'v20170901.01'
__version__ = '0.5.12'
__versionalias__ = 'v20170911.01'
__all__ = ['GeoArray',
'BadDataMask',
'NoDataMask',
......
......@@ -11,7 +11,7 @@ with open('HISTORY.rst') as history_file:
history = history_file.read()
requirements = [
'py_tools_ds>=0.4.2', 'numpy', 'matplotlib', 'six', 'gdal', 'shapely', 'geopandas', 'pandas', 'dill', 'mpld3',
'py_tools_ds>=0.4.6', 'numpy', 'matplotlib', 'six', 'gdal', 'shapely', 'geopandas', 'pandas', 'dill', 'mpld3',
'geojson', 'folium', 'scikit-image'
# 'holoviews', # conda install --yes -c ioam bokeh holoviews=1.8.0 ; \
# git+https://github.com/matplotlib/basemap.git # conda install --yes -c conda-forge basemap
......@@ -21,14 +21,14 @@ test_requirements = ["coverage", "nose", "nose2", "nose-htmloutput", "rednose"]
setup(
name='geoarray',
version='0.5.11',
version='0.5.12',
description="Fast Python interface for geodata - either on disk or in memory.",
long_description=readme + '\n\n' + history,
author="Daniel Scheffler",
author_email='danschef@gfz-potsdam.de',
url='https://gitext.gfz-potsdam.de/danschef/geoarray',
packages=find_packages(), # searches for packages with an __init__.py and returns them as properly formatted list
package_dir={'geoarray':'geoarray'},
packages=find_packages(), # searches for packages with an __init__.py and returns them as properly formatted list
package_dir={'geoarray': 'geoarray'},
include_package_data=True,
install_requires=requirements,
license="GNU General Public License v3",
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment